beehive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Zach Smith (JIRA)" <...@beehive.apache.org>
Subject [jira] Closed: (BEEHIVE-387) Enforce @VersionRequired on control fields at runtime
Date Tue, 23 Aug 2005 17:56:10 GMT
     [ http://issues.apache.org/jira/browse/BEEHIVE-387?page=all ]
     
Zach Smith closed BEEHIVE-387:
------------------------------


there is a checkin test for this feature which is passing. 

org-apache-beehive-controls-test-java-versioning.VersionRequiredTest-testRequiredVersion.testRequiredVersion

> Enforce @VersionRequired on control fields at runtime
> -----------------------------------------------------
>
>          Key: BEEHIVE-387
>          URL: http://issues.apache.org/jira/browse/BEEHIVE-387
>      Project: Beehive
>         Type: Bug
>   Components: Controls
>     Versions: V1Beta
>     Reporter: Kenneth Tam
>     Assignee: Kenneth Tam
>     Priority: Minor
>      Fix For: v1m1

>
> @VersionRequired is only being enforced at runtime when used at the interface level,
not at the field level.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


Mime
View raw message